/*
   Run this program on the command-line and
   have it read the data file created with
   CreateData,java.

   > java  ReadDataAsBoolean  <  data
*/

import java.io.*;

public class ReadDataAsBoolean
{
   public static void main(String[] args)
   {
      DataInputStream in = new DataInputStream(System.in);

      final boolean[] b = new boolean[16]; // try 17

      try
      {
         for (int i = 0; i < b.length; ++i)
         {
            b[i] = in.readBoolean();
         }

         for (int i = 0; i < b.length; ++i)
         {
            System.out.println( b[i] );
         }

         DataOutputStream out = new DataOutputStream(System.out);

         for (int i = 0; i < b.length; ++i)
         {
            out.writeBoolean( b[i] );
         }
         out.flush();
      }
      catch (IOException e)
      {
         System.out.print( e );
      }
   }
}
