/*
   Run this program on the command-line and
   have it read the data file created with
   CreateData,java.

   > java  ReadDataAsChar  <  data
*/

import java.io.*;

public class ReadDataAsChar
{
   public static void main(String[] args)
   {
      DataInputStream in = new DataInputStream(System.in);

      final char[] c = new char[8]; // 16 bytes is 8 chars

      try
      {
         for (int i = 0; i < c.length; ++i)
         {
            c[i] = in.readChar();
         }

         for (int i = 0; i < c.length; ++i)
         {
            System.out.println( c[i] );
         }

         DataOutputStream out = new DataOutputStream(System.out);

         for (int i = 0; i < c.length; ++i)
         {
            out.writeChar( c[i] );
         }
         out.flush();
      }
      catch (IOException e)
      {
         System.out.print( e );
      }
   }
}
